# Get billing entitlements

URL: /docs/api-reference/endpoints/billing/billing.entitlements

`GET /billing/entitlements`

Base URL: https://api.orvelt.com/v1

Get the organization's current plan, feature entitlements, and usage limits.

Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.

## Authentication

```json
[
  {
    "businessSession": []
  },
  {
    "businessOAuth": []
  }
]
```

## Responses

```json
{
  "200": {
    "description": "OK",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "billingEmail": {
              "type": [
                "string",
                "null"
              ]
            },
            "scheduledPlan": {
              "anyOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "startsAt": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time",
                          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    }
                  },
                  "required": [
                    "id",
                    "name",
                    "startsAt"
                  ]
                },
                {
                  "type": "null"
                }
              ]
            },
            "plan": {
              "type": "string"
            },
            "planName": {
              "type": "string"
            },
            "billingStatus": {
              "type": "string",
              "enum": [
                "none",
                "active",
                "trialing",
                "past_due",
                "incomplete",
                "incomplete_expired",
                "canceled",
                "paused",
                "unpaid"
              ]
            },
            "plans": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "group": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "description": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "price": {
                    "anyOf": [
                      {
                        "type": "object",
                        "properties": {
                          "amount": {
                            "type": "number"
                          },
                          "interval": {
                            "type": "string"
                          },
                          "intervalCount": {
                            "type": "number"
                          }
                        },
                        "required": [
                          "amount",
                          "interval"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "items": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "featureId": {
                          "type": "string"
                        },
                        "included": {
                          "type": [
                            "number",
                            "null"
                          ]
                        },
                        "unlimited": {
                          "type": "boolean"
                        },
                        "feature": {
                          "type": "object",
                          "properties": {
                            "name": {
                              "type": "string"
                            }
                          },
                          "required": [
                            "name"
                          ]
                        },
                        "reset": {
                          "anyOf": [
                            {
                              "type": "object",
                              "properties": {
                                "interval": {
                                  "type": "string"
                                }
                              },
                              "required": [
                                "interval"
                              ]
                            },
                            {
                              "type": "null"
                            }
                          ]
                        }
                      },
                      "required": [
                        "featureId"
                      ]
                    }
                  },
                  "licenses": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "licensePlanId": {
                          "type": "string"
                        },
                        "included": {
                          "type": "number"
                        },
                        "plan": {
                          "type": "object",
                          "properties": {
                            "items": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "featureId": {
                                    "type": "string"
                                  },
                                  "included": {
                                    "type": [
                                      "number",
                                      "null"
                                    ]
                                  },
                                  "unlimited": {
                                    "type": "boolean"
                                  },
                                  "feature": {
                                    "type": "object",
                                    "properties": {
                                      "name": {
                                        "type": "string"
                                      }
                                    },
                                    "required": [
                                      "name"
                                    ]
                                  },
                                  "reset": {
                                    "anyOf": [
                                      {
                                        "type": "object",
                                        "properties": {
                                          "interval": {
                                            "type": "string"
                                          }
                                        },
                                        "required": [
                                          "interval"
                                        ]
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  }
                                },
                                "required": [
                                  "featureId"
                                ]
                              }
                            }
                          },
                          "required": [
                            "items"
                          ]
                        }
                      },
                      "required": [
                        "licensePlanId",
                        "included"
                      ]
                    }
                  },
                  "freeTrial": {
                    "anyOf": [
                      {
                        "type": "object",
                        "properties": {
                          "durationLength": {
                            "type": "number"
                          },
                          "durationType": {
                            "type": "string"
                          },
                          "cardRequired": {
                            "type": "boolean"
                          }
                        },
                        "required": [
                          "durationLength",
                          "durationType"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "customerEligibility": {
                    "type": "object",
                    "properties": {
                      "attachAction": {
                        "type": "string",
                        "enum": [
                          "activate",
                          "upgrade",
                          "downgrade",
                          "purchase",
                          "none"
                        ]
                      },
                      "status": {
                        "type": "string",
                        "enum": [
                          "active",
                          "scheduled"
                        ]
                      },
                      "trialAvailable": {
                        "type": "boolean"
                      },
                      "canceling": {
                        "type": "boolean"
                      },
                      "trialing": {
                        "type": "boolean"
                      }
                    },
                    "required": [
                      "attachAction"
                    ]
                  }
                },
                "required": [
                  "id",
                  "name",
                  "group",
                  "description",
                  "price",
                  "items"
                ]
              }
            },
            "organizationUsage": {
              "type": "object",
              "properties": {
                "privateAnswers": {
                  "type": "object",
                  "properties": {
                    "used": {
                      "type": "number",
                      "minimum": 0
                    },
                    "limit": {
                      "type": "number",
                      "minimum": 0
                    },
                    "remaining": {
                      "type": "number"
                    },
                    "nextResetAt": {
                      "type": [
                        "number",
                        "null"
                      ]
                    }
                  },
                  "required": [
                    "used",
                    "limit",
                    "remaining",
                    "nextResetAt"
                  ]
                },
                "additionalTeams": {
                  "type": "object",
                  "properties": {
                    "used": {
                      "type": "number",
                      "minimum": 0
                    },
                    "limit": {
                      "type": "number",
                      "minimum": 0
                    },
                    "remaining": {
                      "type": "number"
                    },
                    "nextResetAt": {
                      "type": [
                        "number",
                        "null"
                      ]
                    }
                  },
                  "required": [
                    "used",
                    "limit",
                    "remaining",
                    "nextResetAt"
                  ]
                },
                "storage": {
                  "type": "object",
                  "properties": {
                    "used": {
                      "type": "number",
                      "minimum": 0
                    },
                    "limit": {
                      "type": "number",
                      "minimum": 0
                    },
                    "remaining": {
                      "type": "number"
                    },
                    "nextResetAt": {
                      "type": [
                        "number",
                        "null"
                      ]
                    }
                  },
                  "required": [
                    "used",
                    "limit",
                    "remaining",
                    "nextResetAt"
                  ]
                }
              },
              "required": [
                "privateAnswers",
                "additionalTeams",
                "storage"
              ]
            },
            "projectUsage": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "projectId": {
                    "type": "string"
                  },
                  "projectName": {
                    "type": "string"
                  },
                  "routeSlug": {
                    "type": "string"
                  },
                  "preverifiedLinks": {
                    "type": "object",
                    "properties": {
                      "used": {
                        "type": "number",
                        "minimum": 0
                      },
                      "limit": {
                        "type": "number",
                        "minimum": 0
                      },
                      "remaining": {
                        "type": "number"
                      },
                      "nextResetAt": {
                        "type": [
                          "number",
                          "null"
                        ]
                      }
                    },
                    "required": [
                      "used",
                      "limit",
                      "remaining",
                      "nextResetAt"
                    ]
                  },
                  "activeQuestions": {
                    "type": "object",
                    "properties": {
                      "used": {
                        "type": "number",
                        "minimum": 0
                      },
                      "limit": {
                        "type": "number",
                        "minimum": 0
                      },
                      "remaining": {
                        "type": "number"
                      },
                      "nextResetAt": {
                        "type": [
                          "number",
                          "null"
                        ]
                      }
                    },
                    "required": [
                      "used",
                      "limit",
                      "remaining",
                      "nextResetAt"
                    ]
                  },
                  "goals": {
                    "type": "object",
                    "properties": {
                      "used": {
                        "type": "number",
                        "minimum": 0
                      },
                      "limit": {
                        "type": "number",
                        "minimum": 0
                      },
                      "remaining": {
                        "type": "number"
                      },
                      "nextResetAt": {
                        "type": [
                          "number",
                          "null"
                        ]
                      }
                    },
                    "required": [
                      "used",
                      "limit",
                      "remaining",
                      "nextResetAt"
                    ]
                  },
                  "teamMembers": {
                    "type": "object",
                    "properties": {
                      "used": {
                        "type": "number",
                        "minimum": 0
                      },
                      "limit": {
                        "type": "number",
                        "minimum": 0
                      },
                      "remaining": {
                        "type": "number"
                      },
                      "nextResetAt": {
                        "type": [
                          "number",
                          "null"
                        ]
                      }
                    },
                    "required": [
                      "used",
                      "limit",
                      "remaining",
                      "nextResetAt"
                    ]
                  }
                },
                "required": [
                  "projectId",
                  "projectName",
                  "routeSlug",
                  "preverifiedLinks",
                  "activeQuestions",
                  "goals",
                  "teamMembers"
                ]
              }
            },
            "periodStart": {
              "anyOf": [
                {
                  "type": "string",
                  "format": "date-time",
                  "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
                },
                {
                  "type": "null"
                }
              ]
            },
            "periodEnd": {
              "anyOf": [
                {
                  "type": "string",
                  "format": "date-time",
                  "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
                },
                {
                  "type": "null"
                }
              ]
            },
            "subscription": {
              "anyOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "plan": {
                      "type": "string"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "active",
                        "trialing",
                        "past_due",
                        "incomplete",
                        "incomplete_expired",
                        "canceled",
                        "paused",
                        "unpaid"
                      ]
                    },
                    "billingInterval": {
                      "anyOf": [
                        {
                          "type": "string",
                          "enum": [
                            "month",
                            "year"
                          ]
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "periodStart": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time",
                          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "periodEnd": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time",
                          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "trialStart": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time",
                          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "trialEnd": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time",
                          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "cancelAtPeriodEnd": {
                      "type": "boolean"
                    },
                    "cancelAt": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time",
                          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "canceledAt": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time",
                          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "endedAt": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time",
                          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "scheduledChangeAt": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time",
                          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    }
                  },
                  "required": [
                    "id",
                    "plan",
                    "status",
                    "billingInterval",
                    "periodStart",
                    "periodEnd",
                    "trialStart",
                    "trialEnd",
                    "cancelAtPeriodEnd",
                    "cancelAt",
                    "canceledAt",
                    "endedAt",
                    "scheduledChangeAt"
                  ]
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "required": [
            "plan",
            "planName",
            "billingStatus",
            "plans",
            "organizationUsage",
            "projectUsage",
            "periodStart",
            "periodEnd",
            "subscription"
          ]
        }
      }
    }
  },
  "400": {
    "description": "Invalid request.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http400Error"
        }
      }
    }
  },
  "401": {
    "description": "Authentication is required.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http401Error"
        }
      }
    }
  },
  "403": {
    "description": "You do not have permission to perform this action., This action would exceed the current plan limit.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http403Error"
        }
      }
    }
  },
  "404": {
    "description": "The requested resource was not found.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http404Error"
        }
      }
    }
  },
  "409": {
    "description": "The requested resource has changed.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http409Error"
        }
      }
    }
  },
  "429": {
    "description": "Too many requests., A delivery link was already emailed to this customer recently.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http429Error"
        }
      }
    }
  },
  "503": {
    "description": "The service is temporarily unavailable.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http503Error"
        }
      }
    }
  }
}
```

## Components

```json
{
  "securitySchemes": {
    "businessSession": {
      "type": "apiKey",
      "in": "cookie",
      "name": "orvelt-biz.session_token",
      "description": "An existing Business session. Browser requests must also pass origin and CSRF checks."
    },
    "businessApiKey": {
      "type": "apiKey",
      "in": "header",
      "name": "x-api-key",
      "description": "An organization API key. Keep keys on your server."
    },
    "businessOAuth": {
      "type": "http",
      "scheme": "bearer",
      "bearerFormat": "JWT",
      "description": "OAuth access token for the Business API resource. Requires live consent, per-resource access, and current membership."
    }
  },
  "schemas": {
    "UndefinedError": {
      "title": "UndefinedError",
      "type": "object",
      "properties": {
        "defined": {
          "const": false
        },
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "message"
      ]
    },
    "UnexpectedHttpError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": false
        },
        "code": {
          "type": "string"
        },
        "status": {
          "type": "number"
        },
        "message": {
          "type": "string"
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "BadRequestError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "BAD_REQUEST"
        },
        "status": {
          "const": 400
        },
        "message": {
          "type": "string",
          "default": "Invalid request."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "Http400Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/BadRequestError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "UnauthorizedError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "UNAUTHORIZED"
        },
        "status": {
          "const": 401
        },
        "message": {
          "type": "string",
          "default": "Authentication is required."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "Http401Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/UnauthorizedError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "ForbiddenError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "FORBIDDEN"
        },
        "status": {
          "const": 403
        },
        "message": {
          "type": "string",
          "default": "You do not have permission to perform this action."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "PlanLimitReachedError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "PLAN_LIMIT_REACHED"
        },
        "status": {
          "const": 403
        },
        "message": {
          "type": "string",
          "default": "This action would exceed the current plan limit."
        },
        "data": {
          "type": "object",
          "properties": {
            "metric": {
              "type": "string",
              "enum": [
                "privateAnswersPerOrganizationMonth",
                "preverifiedLinksPerProjectMonth",
                "goalsPerProject",
                "activeQuestionsPerProject",
                "additionalTeamsPerOrganization",
                "membersPerAdditionalTeam",
                "knowledgebaseStorageBytes"
              ]
            },
            "currentUsage": {
              "type": "number",
              "minimum": 0
            },
            "limit": {
              "type": "number",
              "minimum": 0
            },
            "upgradePath": {
              "type": "string",
              "const": "/billing"
            }
          },
          "required": [
            "metric",
            "currentUsage",
            "limit",
            "upgradePath"
          ]
        }
      },
      "required": [
        "defined",
        "code",
        "status",
        "message",
        "data"
      ]
    },
    "Http403Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/ForbiddenError"
        },
        {
          "$ref": "#/components/schemas/PlanLimitReachedError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "NotFoundError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "NOT_FOUND"
        },
        "status": {
          "const": 404
        },
        "message": {
          "type": "string",
          "default": "The requested resource was not found."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "Http404Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/NotFoundError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "ConflictError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "CONFLICT"
        },
        "status": {
          "const": 409
        },
        "message": {
          "type": "string",
          "default": "The requested resource has changed."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "Http409Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/ConflictError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "TooManyRequestsError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "TOO_MANY_REQUESTS"
        },
        "status": {
          "const": 429
        },
        "message": {
          "type": "string",
          "default": "Too many requests."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "LinkEmailCooldownError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "LINK_EMAIL_COOLDOWN"
        },
        "status": {
          "const": 429
        },
        "message": {
          "type": "string",
          "default": "A delivery link was already emailed to this customer recently."
        },
        "data": {
          "type": "object",
          "properties": {
            "nextEligibleAt": {
              "type": "string",
              "format": "date-time",
              "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
            }
          },
          "required": [
            "nextEligibleAt"
          ]
        }
      },
      "required": [
        "defined",
        "code",
        "status",
        "message",
        "data"
      ]
    },
    "Http429Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/TooManyRequestsError"
        },
        {
          "$ref": "#/components/schemas/LinkEmailCooldownError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "ServiceUnavailableError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "SERVICE_UNAVAILABLE"
        },
        "status": {
          "const": 503
        },
        "message": {
          "type": "string",
          "default": "The service is temporarily unavailable."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "Http503Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/ServiceUnavailableError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "__schema0": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "number"
        },
        {
          "type": "boolean"
        },
        {
          "type": "null"
        },
        {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/__schema0"
          }
        },
        {
          "type": "object",
          "propertyNames": {
            "type": "string"
          },
          "additionalProperties": {
            "$ref": "#/components/schemas/__schema0"
          }
        }
      ]
    }
  }
}
```